package com.elab.spring.config.prop;

import com.elab.spring.enums.ConfigRefreshEnum;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author liukaixiong
 * @Email liukx@elab-plus.com
 */
@ConfigurationProperties(prefix = "elab.spring")
public class SpringAutoProperties {

    /**
     * 配置刷新
     */
    private ConfigRefreshEnum configRefresh;

    /**
     * 线程属性
     */
    private ThreadProperties thread = new ThreadProperties();

    public ConfigRefreshEnum getConfigRefresh() {
        return configRefresh;
    }

    public void setConfigRefresh(ConfigRefreshEnum configRefresh) {
        this.configRefresh = configRefresh;
    }

    public ThreadProperties getThread() {
        return thread;
    }

    public void setThread(ThreadProperties thread) {
        this.thread = thread;
    }
}
